Bug 532241 - Review Request: emacs-identica-mode - Identica mode for emacs.
Review Request: emacs-identica-mode - Identica mode for emacs.
Status: CLOSED DUPLICATE of bug 826483
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-31 14:56 EDT by Arun S A G
Modified: 2012-05-30 06:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-21 15:15:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sagarun: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2009-10-31 14:56:29 EDT
Spec URL: http://sagarun.fedorapeople.org/SPECS/emacs-identica-mode.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-identica-mode-0.8-1.fc11.src.rpm
Description: This package provides identica mode for emacs. Identi.ca is a free software microblogging service, similar to Twitter, based on the Laconi.ca code base.


Links to koji builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1780394
http://koji.fedoraproject.org/koji/taskinfo?taskID=1780396
Comment 1 Arun S A G 2009-10-31 15:07:52 EDT
Testing the package:

Add the following lines to ~/.emacs file

;;; Identi.ca mode for emacs
(require 'identica-mode)
(setq identica-username "username")
(setq identica-password "password")
;; Add this to send status updates
 (global-set-key "\C-cip" 'identica-update-status-interactive)
;; Add this to send direct messages
 (global-set-key "\C-cid" 'identica-direct-message-interactive)



How to: http://blog.nethazard.net/identica-mode-for-emacs/
Comment 3 Jason Tibbitts 2010-11-03 14:01:16 EDT
The SRPM link is invalid, though the spec still works.  Unfortunately the spec is insufficient to recreate the package due to Source1, so this cannot be reviewed as is.

Please clear the Whiteboard if you provide working links, thanks.
Comment 4 Arun S A G 2010-11-03 14:12:43 EDT
(In reply to comment #3)
> The SRPM link is invalid, though the spec still works.  Unfortunately the spec
> is insufficient to recreate the package due to Source1, so this cannot be
> reviewed as is.
> 
> Please clear the Whiteboard if you provide working links, thanks.

SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-identica-mode-0.8-2.fc12.src.rpm

Spec URL: http://sagarun.fedorapeople.org/SPECS/emacs-identica-mode.spec
Comment 5 Arun S A G 2010-11-16 21:03:10 EST
Updated to the latest version: (the info file needs fix)

SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-identica-mode-1.0-1.fc13.src.rpm

Spec URL: http://sagarun.fedorapeople.org/SPECS/emacs-identica-mode.spec
Comment 6 Michel Alexandre Salim 2011-04-06 08:10:29 EDT
Hi Arun,

Sorry for the late reply! A couple of problems with the package right now:
- incomplete Build Requirement: you're using makeinfo, which is supplied by
  the texinfo package
- Upstream releases unversioned tarballs on their main download site, which
  makes it hard for someone to verify that the sources are accurate. Suggest
  contacting upstream, and meanwhile downloading the tarballs generated from the
  Git tags instead (see detailed comments below)

Also, 1.1 is out now -- probably a good time to upgrade.


* TODO Review [72%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [-] Source files match upstream
	Upstream does not put the versioned source tarball in their download
	server; I suggest downloading the tarballs generated from the
	Git tags instead:
	http://git.savannah.gnu.org/cgit/identica-mode.git

	Contacting upstream is probably a good idea too, asking for the
	download tarballs to carry the version number
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [-] rpmlint [1/2]
    - [X] on src.rpm
	  emacs-identica-mode.src: W: file-size-mismatch identica-mode.tar.gz = 31463, http://download.savannah.gnu.org/releases/identica-mode/identica-mode.tar.gz = 33026
          1 packages and 0 specfiles checked; 0 errors, 1 warnings.
	  
	  This is due to the source file problem, see above. Otherwise fine
    - [ ] on x86_64.rpm
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [-] Build [2/3]
    - [-] Koji results
	  http://koji.fedoraproject.org/koji/taskinfo?taskID=2978357
    - [-] BRs complete
	  makeinfo not found; needs to BR on texinfo
    - [X] Directory ownership
  - [X] Spec inspection [9/9]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] [RHEL]  %clean section
          https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
    - [X] [RHEL 5] %buildroot cleaned on %install
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
    - [X] Other subpackages
  - [X] [[http://fedoraproject.org/wiki/Packaging/ScriptletSnippets][Scriptlets]] [1/1]
    - [X] info files
Comment 7 Arun S A G 2011-06-12 04:33:26 EDT
Hi Michel,

Sorry for the late reply.  Updated to git tag v 1.1

SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-identica-mode-1.1-1.fc15.src.rpm

SPEC URL: http://sagarun.fedorapeople.org/SPECS/emacs-identica-mode.spec
Comment 8 Arun S A G 2011-08-18 03:42:31 EDT
Ping
Comment 9 Arun S A G 2012-01-21 15:15:10 EST
Closing this. No one seems to be interested in reviewing this!
Comment 10 Shakthi Kannan 2012-05-30 06:23:31 EDT

*** This bug has been marked as a duplicate of bug 826483 ***

Note You need to log in before you can comment on or make changes to this bug.